<?php

namespace App\Services;

use App\Repositories\Revision;

class RevisionService
{
    private $revisionRepository;

    public function __construct(Revision $revisionRepository)
    {
        $this->revisionRepository = $revisionRepository;
    }

    public function save(array $data)
    {
        if (isset($data['id'])) {
            $revision = $this->revisionRepository->findOrFail($data['id']);
            $revision->update($data);
        } else {
            $revision = $this->revisionRepository->create($data);
        }

        return $revision;
    }

    // public function delete($id)
    // {
    //     $revision = $this->revisionRepository->findOrFail($id);
    //     $revision->delete();
    // }

    // public function get($id)
    // {
    //     return $this->revisionRepository->findOrFail($id);
    // }

    // public function getAll()
    // {
    //     return $this->revisionRepository->all();
    // }

    // public function with(array $children)
    // {
    //     return $this->revisionRepository->with($children)->get();
    // }

    // public function getOneWith($id, array $children)
    // {
    //     return $this->revisionRepository->with($children)->findOrFail($id);
    // }
}